<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Audit/Objectifs"></app-top-bar>
  <div class="flex-grow p-5">
    <input
      type="text"
      class="search"
      placeholder="Rechercher un objectif... "
      (keyup)="filterData($event)"
    />
    <a mat-mini-fab color="primary" matTooltip="Ajouter un objectif" routerLink="new">+</a>
    <ngx-datatable class="material" [columnMode]="'force'"
                   [headerHeight]="50"
                   [footerHeight]="50"
                   rowHeight="auto"
                   [limit]="10" [rows]="objectifsListing">
      <ngx-datatable-column prop="objectif" name="Objectifs"></ngx-datatable-column>
      <ngx-datatable-column prop="actif" name="Status">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <div *ngIf="row.actif; then thenBlock else elseBlock"></div>
          <ng-template #thenBlock>
            <button class="enable" disabled>Actif</button>
          </ng-template>
          <ng-template #elseBlock>
            <button class="disabled" disabled>Désactivé</button>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
      <ngx-datatable-column prop="objectifId" name="Action" [sortable]="false">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <div *ngIf="row.actif; then thenBlock else elseBlock"></div>
          <ng-template #elseBlock>
            <button mat-raised-button
                    style="margin: 0.5em;background-color: #00C853; color: white"
                    (click)="changeStatut(false,row.objectifId)">
              Activer
            </button>
          </ng-template>
          <ng-template #thenBlock>
            <button mat-raised-button color="warn" style="margin: 0.5em;"
                    (click)="changeStatut(true,row.objectifId)">Désactiver
            </button>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
    </ngx-datatable>
  </div>
</div>
